import { queryOptions } from "@tanstack/react-query";
import axios from "axios";

export function getLeases() {
	return queryOptions({
		queryKey: ["getLeases"],
		queryFn: () => fetch(),
		staleTime: 5000,
		refetchOnWindowFocus: true,
	});
}

const fetch = async () => {
	const { data } = await axios.get("/lst/api/forklifts/leases");

	return data.data;
};
